Bug 503170 - boot.iso burnt to CDrom does not ask for install source when installed through UEFI
boot.iso burnt to CDrom does not ask for install source when installed throu...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-29 07:51 EDT by Narayanan D
Modified: 2009-06-04 10:57 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-03 10:35:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Attaching anaconda.log (63.14 KB, application/octet-stream)
2009-06-02 09:02 EDT, Narayanan D
no flags Details

  None (edit)
Description Narayanan D 2009-05-29 07:51:31 EDT
Description of problem: When the system is booted in UEFI mode, using a CDROM with boot.iso burnt in to it, the installation process never asks for the installation sources to continue install. The installation process stops after it aquaires  DHCP IP. Anaconda does not throw up any message nor does the installation proceeds.


Version-Release number of selected component (if applicable):11.5.0.54


How reproducible: Always


Steps to Reproduce:
1. In the System setup , enable UEFI mode
2. Once the system boots into UEFI start installation using boot media (boot.iso). 
3. Notice that anaconda does not ask for install source files.
4. Just after configuring network, the installation process stops. Despite leaving it in that state for more than 30 minutes, no error message is seen. Installation does not proceed.
  
Actual results:
Installation process stops, unable to get the installation files.

Expected results:The path for installation is asked and installation of the OS completes.

Additional info:
When trying to boot with the same media in the legacy BIOS mode,the CD does not boot. Despite the fact that boot.iso has EFI and BIOS bootable directories burnt on it it, the CDROM does not boot in legacy BIOS mode.
Comment 1 Bill Nottingham 2009-05-29 11:13:04 EDT
What's on tty2/3/4/5 at the point where it's hanging?
Comment 2 Narayanan D 2009-06-02 08:31:22 EDT
From netstat logs it was found that the system is trying to access fedoraprojects.org. The system that I am installaing does not have internet connection.

The system does not hang. The GUI freezes, but I am able to access the system from tty2.dmesg on tty4 shows DHCP congif as the the last entry. The installation process does not proceed further.

Here is a last few lines in the output for netstat -al. I will attach anaconda.log as well in a some time.

Active Internet connections (servers and established)
Proto Recv-Q Send-Q Local Address           Foreign Address         State
tcp        0      1 172.16.69.95:55209      66.35.62.166:443        SYN_SENT
udp        0      0 0.0.0.0:68              0.0.0.0:*
Active UNIX domain sockets (servers and established)
Proto RefCnt Flags       Type       State         I-Node Path
unix  2      [ ACC ]     STREAM     LISTENING       4711 @/var/run/hald/dbus-JvTfzvhUGA
unix  2      [ ACC ]     STREAM     LISTENING       6760 @/tmp/.X11-unix/X1
unix  2      [ ACC ]     STREAM     LISTENING       6761 /tmp/.X11-unix/X1
unix  2      [ ]         DGRAM                      1620 @/org/kernel/udev/udevd
unix  2      [ ]         DGRAM                      4797 @/org/freedesktop/hal/udev_event
Comment 3 Narayanan D 2009-06-02 09:02:39 EDT
Created attachment 346246 [details]
Attaching anaconda.log

Attaching anaconda.log
Comment 4 Chris Lumens 2009-06-02 10:41:11 EDT
Are you behind a proxy?
Comment 5 Narayanan D 2009-06-03 01:39:59 EDT
NO. This is an isolated lab network . These systems are not connected to internet.
Comment 6 Andy Lindeberg 2009-06-03 10:35:31 EDT
Well, there's the problem! boot.iso can't tell the difference between a lab network and the internet, and is looking for the install source. If you wait long enough, it should time out (though I don't know if it then allows you to then choose your own source), but to circumvent that you should be using askmethod or method= on the command line.
Comment 7 Narayanan D 2009-06-04 01:03:05 EDT
(In reply to comment #6)
> Well, there's the problem! boot.iso can't tell the difference between a lab
> network and the internet, and is looking for the install source. If you wait
> long enough, it should time out (though I don't know if it then allows you to
> then choose your own source), but to circumvent that you should be using
> askmethod or method= on the command line.  

Thanks.However, I have left if for close to two hours but it did not timeout.
Comment 8 Andy Lindeberg 2009-06-04 10:57:29 EDT
Checking tty3 (ctrl-alt-F3) should be able to tell you whether it's still trying to locate the source or if there's something else wrong. Timeouts do take a long time, so I could see it taking 2+ hours.

Note You need to log in before you can comment on or make changes to this bug.